Creates an asset.

The following asset types are createable: \* `FOLDER`: No fields in `asset` may be specified. \* `IMAGE`: To create a COG-backed asset, use `ImportExternalImage` instead. See <https://developers.google.com/earth-engine/Earth_Engine_asset_from_cloud_geotiff> for more details. \* `IMAGE_COLLECTION`: Only the fields `startTime`, `endTime`, and `properties` may be specified.

### HTTP request

`POST https://earthengine.googleapis.com/v1beta/{parent=projects/*}/assets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent of the asset collection (e.g., "projects/\*"). Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `earthengine.assets.create` |

### Query parameters

| Parameters ||
|---|---|
| `assetId` | `string` The ID of the asset to create. Equivalent to name but without the "projects/\*/assets" (e.g., users/\[USER\]/\[ASSET\]). |
| `overwrite` | `boolean` Whether to allow overwriting an image asset. |

### Request body

The request body contains an instance of `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets#EarthEngineAsset`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/earth-engine/reference/rest/v1beta/projects.assets#EarthEngineAsset`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/earthengine`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).